Subject: bug#76505: 31.0.50; igc: M-x project-compile is slow

From: Ihor Radchenko <[email-masked]>
Date: Sun, 23 Feb 2025 19:18:15 +0000

Eli Zaretskii <[email-masked]> writes:

>> Hmm. Yes, I do. Because `magit-auto-revert-mode' (enabled by default).
>> I explicitly disable global-auto-revert-mode in my config.
>> 
>> > ... Does
>> > disabling that change anything?
>> 
>> It completely removes the hangs.
>
> Problem solved.

Well. Not really. The question why igc branch is _so much slower_
remains. I never experienced such problems on master.

>> > ... In general, having auto-revert in too
>> > many buffers while compiling or using Git is likely to flood Emacs
>> > with file-notification events, and is not recommended.
>> 
>> Well. Magit enables auto-revert by default:
>
> Bad idea, IMO.  At least as long as file notifications are used: those
> don't scale well.  Try setting auto-revert-use-notify to the nil
> value, and see if you can the best of both worlds.

CCing Jonas. I do not want to open an issue on github or discuss magit
here, but want to let Jonas know about this thread and this
recommendation.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>